Diff of /trunk/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 110 by harbaum, Fri Mar 6 13:06:08 2009 UTC revision 112 by harbaum, Fri Mar 6 13:41:08 2009 UTC
# Line 3275  if test -n "$PKG_CONFIG" && \ Line 3275  if test -n "$PKG_CONFIG" && \
3275    { echo "$as_me:$LINENO: result: yes" >&5    { echo "$as_me:$LINENO: result: yes" >&5
3276  echo "${ECHO_T}yes" >&6; }  echo "${ECHO_T}yes" >&6; }
3277    
   # gthread-2.0 gpsbt  
3278    
3279  pkg_failed=no  pkg_failed=no
3280  { echo "$as_me:$LINENO: checking for hildon" >&5  { echo "$as_me:$LINENO: checking for hildon" >&5
# Line 3351  else Line 3350  else
3350  echo "${ECHO_T}yes" >&6; }  echo "${ECHO_T}yes" >&6; }
3351          :          :
3352  fi  fi
3353    CFLAGS="$CFLAGS  -DUSE_hildon $hildon_CFLAGS"    CFLAGS="$CFLAGS  -DUSE_HILDON $hildon_CFLAGS"
3354    LIBS="$LIBS $hildon_LIBS"    LIBS="$LIBS $hildon_LIBS"
3355    
3356    
# Line 3510  fi Line 3509  fi
3509    CFLAGS="$CFLAGS $hildon_fm_2_CFLAGS"    CFLAGS="$CFLAGS $hildon_fm_2_CFLAGS"
3510    LIBS="$LIBS $hildon_fm_2_LIBS"    LIBS="$LIBS $hildon_fm_2_LIBS"
3511    
3512      if test -n "$PKG_CONFIG" && \
3513        { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gps-bt\"") >&5
3514      ($PKG_CONFIG --exists --print-errors "gps-bt") 2>&5
3515      ac_status=$?
3516      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3517      (exit $ac_status); }; then
3518    
3519    
3520  pkg_failed=no  pkg_failed=no
3521  { echo "$as_me:$LINENO: checking for gpsbt" >&5  { echo "$as_me:$LINENO: checking for gpsbt" >&5
# Line 3569  fi Line 3575  fi
3575          # Put the nasty error message in config.log where it belongs          # Put the nasty error message in config.log where it belongs
3576          echo "$gpsbt_PKG_ERRORS" >&5          echo "$gpsbt_PKG_ERRORS" >&5
3577    
3578          { echo "$as_me:$LINENO: result: no" >&5          { { echo "$as_me:$LINENO: error: Package requirements (gpsbt) were not met:
3579  echo "${ECHO_T}no" >&6; }  
3580                  { { echo "$as_me:$LINENO: error: gpsbt missing" >&5  $gpsbt_PKG_ERRORS
3581  echo "$as_me: error: gpsbt missing" >&2;}  
3582    Consider adjusting the PKG_CONFIG_PATH environment variable if you
3583    installed software in a non-standard prefix.
3584    
3585    Alternatively, you may set the environment variables gpsbt_CFLAGS
3586    and gpsbt_LIBS to avoid the need to call pkg-config.
3587    See the pkg-config man page for more details.
3588    " >&5
3589    echo "$as_me: error: Package requirements (gpsbt) were not met:
3590    
3591    $gpsbt_PKG_ERRORS
3592    
3593    Consider adjusting the PKG_CONFIG_PATH environment variable if you
3594    installed software in a non-standard prefix.
3595    
3596    Alternatively, you may set the environment variables gpsbt_CFLAGS
3597    and gpsbt_LIBS to avoid the need to call pkg-config.
3598    See the pkg-config man page for more details.
3599    " >&2;}
3600     { (exit 1); exit 1; }; }     { (exit 1); exit 1; }; }
3601  elif test $pkg_failed = untried; then  elif test $pkg_failed = untried; then
3602          { { echo "$as_me:$LINENO: error: gpsbt missing" >&5          { { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
3603  echo "$as_me: error: gpsbt missing" >&2;}  is in your PATH or set the PKG_CONFIG environment variable to the full
3604    path to pkg-config.
3605    
3606    Alternatively, you may set the environment variables gpsbt_CFLAGS
3607    and gpsbt_LIBS to avoid the need to call pkg-config.
3608    See the pkg-config man page for more details.
3609    
3610    To get pkg-config, see <http://pkg-config.freedesktop.org/>.
3611    See \`config.log' for more details." >&5
3612    echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
3613    is in your PATH or set the PKG_CONFIG environment variable to the full
3614    path to pkg-config.
3615    
3616    Alternatively, you may set the environment variables gpsbt_CFLAGS
3617    and gpsbt_LIBS to avoid the need to call pkg-config.
3618    See the pkg-config man page for more details.
3619    
3620    To get pkg-config, see <http://pkg-config.freedesktop.org/>.
3621    See \`config.log' for more details." >&2;}
3622     { (exit 1); exit 1; }; }     { (exit 1); exit 1; }; }
3623  else  else
3624          gpsbt_CFLAGS=$pkg_cv_gpsbt_CFLAGS          gpsbt_CFLAGS=$pkg_cv_gpsbt_CFLAGS
# Line 3585  else Line 3627  else
3627  echo "${ECHO_T}yes" >&6; }  echo "${ECHO_T}yes" >&6; }
3628          :          :
3629  fi  fi
3630    CFLAGS="$CFLAGS $gpsbt_CFLAGS"      CFLAGS="$CFLAGS -DENABLE_GPSBT $gpsbt_CFLAGS"
3631    LIBS="$LIBS $gpsbt_LIBS"      LIBS="$LIBS $gpsbt_LIBS"
3632    
3633    else
3634      { echo "$as_me:$LINENO: WARNING: No gpsbt found, disabling gps auto start!" >&5
3635    echo "$as_me: WARNING: No gpsbt found, disabling gps auto start!" >&6;}
3636    fi
3637    
3638      if test -n "$PKG_CONFIG" && \
3639        { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"tablet_browser_interface\"") >&5
3640      ($PKG_CONFIG --exists --print-errors "tablet_browser_interface") 2>&5
3641      ac_status=$?
3642      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3643      (exit $ac_status); }; then
3644    
3645        CFLAGS="$CFLAGS -DENABLE_BROWSER_INTERFACE"
3646    
3647    else
3648      { echo "$as_me:$LINENO: WARNING: No table-browser-interface found, disabling microb interface!" >&5
3649    echo "$as_me: WARNING: No table-browser-interface found, disabling microb interface!" >&6;}
3650    fi
3651    
3652    # maemo uses dbus for ipc with maemo mapper    # maemo uses dbus for ipc with maemo mapper
3653    EXTRA_OBJS="dbus.o"    EXTRA_OBJS="dbus.o"
# Line 3757  echo "${ECHO_T}yes" >&6; } Line 3818  echo "${ECHO_T}yes" >&6; }
3818          :          :
3819  fi  fi
3820    CFLAGS="$CFLAGS $gnome2_CFLAGS"    CFLAGS="$CFLAGS $gnome2_CFLAGS"
3821    LIBS="$LIBS $gnome2_LIBS"    LIBS="$LIBS $gnome2_LIBS -DENABLE_BROWSER_INTERFACE"
3822    
3823    INSTALL_PLATTFORM="install-debian"    INSTALL_PLATTFORM="install-debian"
3824    

Legend:
Removed from v.110  
changed lines
  Added in v.112